<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="ROOT_GROUP_MESSAGES" xmlns="" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
  <xs:element name="ROOT_GROUP_MESSAGES" msdata:IsDataSet="true" msdata:Locale="en-US">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Params">
          <xs:complexType>
            <xs:attribute name="UserName" type="xs:string" />
            <xs:attribute name="UserID" type="xs:integer" />
            <xs:attribute name="DateFrom" type="xs:date" />
            <xs:attribute name="DateTo" type="xs:date" />
          </xs:complexType>
        </xs:element>
        <xs:element name="Data">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Chat" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element name="Message" minOccurs="0" maxOccurs="unbounded">
                      <xs:complexType>
                        <xs:attribute name="MessageID" type="xs:integer" />
                        <xs:attribute name="Text" type="xs:string" />
                        <xs:attribute name="SendTime" type="xs:dateTime" />
                        <xs:attribute name="Direction" type="xs:integer" />
                        <xs:attribute name="Delivered" type="xs:integer" />
                        <xs:attribute name="Group" type="xs:string" />
                        <xs:attribute name="SupporterID" type="xs:integer" use="optional" />
                        <xs:attribute name="SupporterName" type="xs:string" use="optional" />
                      </xs:complexType>
                    </xs:element>
                  </xs:sequence>
                  <xs:attribute name="ChatID" type="xs:integer" />
                  <xs:attribute name="OpenTime" type="xs:dateTime" />
                  <xs:attribute name="CloseTime" type="xs:dateTime" use="optional" />
                </xs:complexType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>